#include "CrossPlatform.h"

#ifdef _WIN32
#include <conio.h>
#include <windows.h>

namespace CrossPlatform
{
    char ReadKey()
    {
        //may want to use _getch in MSCV
        return getch();
    }

    void Sleep(int time)
    {
        Sleep(time);
    }
}
#else //OS switch

#warning Your OS is not yet supported! Please implement these functions.

namespace CrossPlatform
{
    char ReadKey()
    {
        return ' ';
    }

    void Sleep(int time)
    {
    }
}
#endif
